package com.oreilly.jent.jsf.library.model;

/**
 * In general, you may use the code in this book in your programs and 
 * documentation. You do not need to contact us for permission unless 
 * you're reproducing a significant portion of the code. For example, 
 * writing a program that uses several chunks of code from this book does 
 * not require permission. Selling or distributing a CD-ROM of examples 
 * from O'Reilly books does require permission. Answering a question by 
 * citing this book and quoting example code does not require permission. 
 * Incorporating a significant amount of example code from this book into 
 * your product's documentation does require permission.
 * 
 * We appreciate, but do not require, attribution. An attribution usually 
 * includes the title, author, publisher, and ISBN. For example: 
 * 
 *   "Java Enterprise in a Nutshell, Third Edition, 
 *    by Jim Farley and William Crawford 
 *    with Prakash Malani, John G. Norman, and Justin Gehtland. 
 *    Copyright 2006 O'Reilly Media, Inc., 0-596-10142-2."
 *  
 *  If you feel your use of code examples falls outside fair use or the 
 *  permission given above, feel free to contact us at 
 *  permissions@oreilly.com.
 */

import java.util.ArrayList;
import java.util.Hashtable;
import java.util.List;
import java.util.Map;

public class Library {
    private Map books = new Hashtable(); // use a hashtable for synchronization

    public Library() {
        Book melville = new Book();
        melville.setAuthor("Herman Melville");
        melville.setTitle("Moby Dick");
        melville.setISBN("0553213113");
        books.put(melville.getTrackingID(), melville);

        Book crawford = new Book();
        crawford.setTitle("J2EE Design Patterns");
        crawford.setAuthor("William Crawford & Jonathan Kaplan");
        crawford.setISBN("0596004273");
        books.put(crawford.getTrackingID(), crawford);
    }

    public List getBookList() {
        return new ArrayList(books.values());
    }

    public Map getBooks() {
        return books;
    }

    public void addBook(Book book) {
        if (book != null)
            books.put(book.getTrackingID(), book);
    }
}
